%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name file-tail

Summary: File::Tail for Ruby
Name: %{?scl:%scl_prefix}rubygem-%{gem_name}
Version: 1.0.5
Release: 4%{?dist}
Group: Development/Languages
License: GPLv2+
URL: http://flori.github.com/file-tail
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl:%scl_prefix}ruby
Requires: %{?scl:%scl_prefix}rubygems
Requires: %{?scl:%scl_prefix}rubygem(spruz)
BuildRequires: %{?scl:%scl_prefix}ruby
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl:%scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Library to tail files in Ruby


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep

%build

%install
mkdir -p %{buildroot}%{gem_dir}
%{?scl:scl enable %scl "}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
%{?scl:"}

# Change from /usr/bin/ruby to /usr/bin/env ruby
find %{buildroot} -type f | \
  xargs sed -i -e 's"^#!/usr/bin/ruby"#!/usr/bin/env ruby"'

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gem_dir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gem_dir}/bin

# rpmlint issue
find %{buildroot}%{gem_instdir}/{lib,examples,tests} -type f | \
        xargs sed -i -e '\@^#!/usr.*ruby@d'
sed -i -e '\@^#!/usr.*ruby@d' %{buildroot}%{gem_instdir}/*.rb
find %{buildroot}%{gem_instdir}/{lib,examples,tests} -type f | xargs chmod 0644
chmod 755  %{buildroot}%{gem_instdir}/bin/rtail

%check
pushd %{buildroot}%{gem_instdir}
#Tests temporarily not executed in check
#%{?scl:scl enable %scl "}
#RUBYOPT="I%{buildroot}%{gem_instdir}/lib Itest" testrb tests/test_*
#%{?scl:"}

%files
%defattr(-, root, root, -)
%{_bindir}/rtail
%dir %{gem_instdir}
%{gem_instdir}/lib
%doc %{gem_instdir}/README
%doc %{gem_instdir}/CHANGES
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/*.rb
%{gem_dir}/cache/%{gem_name}-%{version}.gem
%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/examples
%exclude %{gem_instdir}/tests

%files doc
%defattr(-, root, root, -)
%{gem_instdir}/examples
%{gem_instdir}/Rakefile
%{gem_instdir}/tests
%{gem_dir}/doc/%{gem_name}-%{version}


%changelog
* Wed Jun 13 2012 Troy Dawson <tdawson@redhat.com> - 1.0.5-4
- Changed spec file to work with scl
- Rebuilt for scl

* Thu Apr 21 2011  Peng Wu <pwu@redhat.com> - 1.0.5-3
- Run test suite

* Wed Apr 20 2011  Peng Wu <pwu@redhat.com> - 1.0.5-2
- Fixes the spec

* Wed Apr 20 2011 Peng Wu <pwu@redhat.com> - 1.0.5-1
- Initial package
